Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.uicli.controls
Class JUErrorHandlerDlg

`java.lang.Object
oracle.jbo.uicli.controls.JUErrorHandlerDlg`

All Implemented Interfaces:
  oracle.adf.model.binding.DCErrorHandler, JUErrorHandler

Direct Known Subclasses:
  JUErrorHandlerDialog

public class JUErrorHandlerDlg
extends java.lang.Object
implements JUErrorHandler, oracle.adf.model.binding.DCErrorHandler

Dialog that implements JUErrorHandler interface in the framework. This is the dialog that comesup by default on an exception in the framework. Applications should provide their own implementation of JUErrorHandler to customize error displays.

Constructor Summary
`JUErrorHandlerDlg()`

Method Summary
`void` | `reportException(oracle.adf.model.binding.DCBindingContainer formBnd, java.lang.Exception ex)` Implements how to handle the given exception raised within the JClient framework in the context of the given form binding.
`void` | `reportException(oracle.adf.model.binding.DCBindingContainer formBnd, java.lang.Exception ex, boolean reportErrorNow)`
`void` | `reportException(JUFormBinding formBnd, java.lang.Exception ex)` Implements how to handle the given exception raised within the JClient framework in the context of the given form binding.
`void` | `reportException(JUFormBinding formBnd, java.lang.Exception ex, boolean reportExceptionNow)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JUErrorHandlerDlg

    public JUErrorHandlerDlg()

Method Detail

### reportException

    public void reportException(JUFormBinding formBnd,
                                java.lang.Exception ex)

  Description copied from interface: `JUErrorHandler`
  Implements how to handle the given exception raised within the JClient framework in the context of the given form binding.
  Specified by:
    `reportException` in interface `JUErrorHandler`

### reportException

    public void reportException(JUFormBinding formBnd,
                                java.lang.Exception ex,
                                boolean reportExceptionNow)

  Specified by:
    `reportException` in interface `JUErrorHandler`
  Parameters:
    `formBnd` - the binding where the exception was caused
    `ex` - the exception to report
    `reportExceptionNow` - true if the caller should be stopped until the exception is reported. If an exception is fatal, and the calling program wants to abort, the calling program typically wants to wait till the exception is shown to the user.
  See Also:
    `JUErrorHandler.reportException(JUFormBinding, Exception)`

### reportException

    public void reportException(oracle.adf.model.binding.DCBindingContainer formBnd,
                                java.lang.Exception ex)

  Description copied from interface: `oracle.adf.model.binding.DCErrorHandler`
  Implements how to handle the given exception raised within the JClient framework in the context of the given form binding.
  Specified by:
    `reportException` in interface `oracle.adf.model.binding.DCErrorHandler`

### reportException

    public void reportException(oracle.adf.model.binding.DCBindingContainer formBnd,
                                java.lang.Exception ex,
                                boolean reportErrorNow)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.